# Class DefaultMenuLayout

java.lang.Object
javax.swing.BoxLayout
javax.swing.plaf.basic.DefaultMenuLayout

All Implemented Interfaces:
  `LayoutManager, LayoutManager2, Serializable, UIResource`

public class DefaultMenuLayout extends BoxLayout implements UIResource
The default layout manager for Popup menus and menubars. This class is an extension of BoxLayout which adds the UIResource tag so that pluggable L&Fs can distinguish it from user-installed layout managers on menus.

- ## Field Summary

  ### Fields declared in class BoxLayout

  `LINE_AXIS, PAGE_AXIS, X_AXIS, Y_AXIS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMenuLayout(Container target, int axis)`
  Constructs a new instance of `DefaultMenuLayout`.

- ## Method Summary

  ### Methods declared in class BoxLayout

  `addLayoutComponent, addLayoutComponent, getAxis, getLayoutAlignmentX, getLayoutAlignmentY, getTarget, invalidateLayout, layoutContainer, maximumLayoutSize, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMenuLayout

    public DefaultMenuLayout(Container target, int axis)
    Constructs a new instance of `DefaultMenuLayout`.
    Parameters:
      `target` - the container that needs to be laid out
      `axis` - the axis to lay out components along. Can be one of: `BoxLayout.X_AXIS`, `BoxLayout.Y_AXIS`, `BoxLayout.LINE_AXIS` or `BoxLayout.PAGE_AXIS`